Meet PaneFlow: Build Stunning Slideshows Visually. No Code Required

Preloader / Spinner Svelte Component

Preloader / Spinner Svelte component represents Preloader element.

Preloader Components

There are following components included:

Preloader Properties

PropTypeDescription
<Preloader> properties
sizestring
number
Size of the preloader in px

Examples

preloader.svelte
<script>
  import { f7, Navbar, Page, BlockTitle, Block, Preloader } from 'framework7-svelte';

  function openIndicator() {
    f7.preloader.show();
    setTimeout(() => {
      f7.preloader.hide();
    }, 2000);
  }
  function openDialog() {
    f7.dialog.preloader();
    setTimeout(() => {
      f7.dialog.close();
    }, 2000);
  }
  function openCustomDialog() {
    f7.dialog.preloader('My text...');
    setTimeout(() => {
      f7.dialog.close();
    }, 2000);
  }
</script>

<!-- svelte-ignore a11y-missing-attribute -->
<Page>
  <Navbar title="Preloader" />
  <Block>
    <p>
      How about an activity indicator? Framework7 has a nice one. The F7 Preloader is made with SVG
      and animated with CSS so it can be easily resized.
    </p>
  </Block>

  <BlockTitle>Default</BlockTitle>
  <Block
    strongIos
    outlineIos
    class="grid grid-cols-4 grid-gap demo-preloaders align-items-stretch text-align-center"
  >
    <div>
      <Preloader />
    </div>
    <div style="background: #000">
      <Preloader color="white" />
    </div>
    <div>
      <Preloader size={42} />
    </div>
    <div style="background: #000">
      <Preloader size={42} color="white" />
    </div>
  </Block>

  <BlockTitle>Color Preloaders</BlockTitle>
  <Block strongIos outlineIos class="grid grid-cols-4 grid-gap text-align-center">
    <div>
      <Preloader color="red" />
    </div>
    <div>
      <Preloader color="green" />
    </div>
    <div>
      <Preloader color="orange" />
    </div>
    <div>
      <Preloader color="blue" />
    </div>
  </Block>

  <BlockTitle>Multi-color</BlockTitle>
  <Block strongIos outlineIos class="text-align-center">
    <Preloader color="multi" />
  </Block>

  <BlockTitle>Preloader Modals</BlockTitle>
  <Block strongIos outlineIos>
    <p>With <b>app.preloader.show()</b> you can show small overlay with preloader indicator.</p>
    <p><a class="button button-fill" on:click={openIndicator}>Open Small Indicator</a></p>
    <p>With <b>app.dialog.preloader()</b> you can show dialog modal with preloader indicator.</p>
    <p><a class="button button-fill" on:click={openDialog}>Open Dialog Preloader</a></p>
    <p>
      With
      <b>app.dialog.preloader('My text...')</b>
      you can show dialog preloader modal with custom title.
    </p>
    <p><a class="button button-fill" on:click={openCustomDialog}>Open Dialog Preloader</a></p>
  </Block>
</Page>

Meet PaneFlow: Build Stunning Slideshows Visually. No Code Required

Preloader / Spinner Vue Component

Preloader / Spinner Vue component represents Preloader element.

Preloader Components

There are following components included:

Preloader Properties

PropTypeDescription
<f7-preloader> properties
sizestring
number
Size of the preloader in px

Examples

preloader.vue
<template>
  <f7-page>
    <f7-navbar title="Preloader"></f7-navbar>
    <f7-block>
      <p>
        How about an activity indicator? Framework7 has a nice one. The F7 Preloader is made with
        SVG and animated with CSS so it can be easily resized.
      </p>
    </f7-block>

    <f7-block-title>Default</f7-block-title>
    <f7-block
      strong-ios
      outline-ios
      class="grid grid-cols-4 grid-gap demo-preloaders align-items-stretch text-align-center"
    >
      <div>
        <f7-preloader />
      </div>
      <div style="background: #000">
        <f7-preloader color="white" />
      </div>
      <div>
        <f7-preloader :size="42" />
      </div>
      <div style="background: #000">
        <f7-preloader :size="42" color="white" />
      </div>
    </f7-block>

    <f7-block-title>Color Preloaders</f7-block-title>
    <f7-block strong class="grid grid-cols-4 grid-gap text-align-center">
      <div>
        <f7-preloader color="red" />
      </div>
      <div>
        <f7-preloader color="green" />
      </div>
      <div>
        <f7-preloader color="orange" />
      </div>
      <div>
        <f7-preloader color="blue" />
      </div>
    </f7-block>

    <f7-block-title>Multi-color</f7-block-title>
    <f7-block strong class="text-align-center">
      <f7-preloader color="multi" />
    </f7-block>

    <f7-block-title>Preloader Modals</f7-block-title>
    <f7-block strong>
      <p>With <b>app.preloader.show()</b> you can show small overlay with preloader indicator.</p>
      <p>
        <a class="button button-fill" @click="openIndicator">Open Small Indicator</a>
      </p>
      <p>With <b>app.dialog.preloader()</b> you can show dialog modal with preloader indicator.</p>
      <p>
        <a class="button button-fill" @click="openDialog">Open Dialog Preloader</a>
      </p>
      <p>
        With <b>app.dialog.preloader('My text...')</b> you can show dialog preloader modal with
        custom title.
      </p>
      <p>
        <a class="button button-fill" @click="openCustomDialog">Open Dialog Preloader</a>
      </p>
    </f7-block>
  </f7-page>
</template>
<script>
import { f7Navbar, f7Page, f7BlockTitle, f7Block, f7Preloader, f7 } from 'framework7-vue';

export default {
  components: {
    f7Navbar,
    f7Page,
    f7BlockTitle,
    f7Block,
    f7Preloader,
  },
  methods: {
    openIndicator() {
      f7.preloader.show();
      setTimeout(() => {
        f7.preloader.hide();
      }, 2000);
    },
    openDialog() {
      f7.dialog.preloader();
      setTimeout(() => {
        f7.dialog.close();
      }, 2000);
    },
    openCustomDialog() {
      f7.dialog.preloader('My text...');
      setTimeout(() => {
        f7.dialog.close();
      }, 2000);
    },
  },
};
</script>

Preloader / Spinner React Component

Preloader / Spinner React component represents Preloader element.

Preloader Components

There are following components included:

Preloader Properties

PropTypeDescription
<Preloader> properties
sizestring
number
Size of the preloader in px

Examples

preloader.jsx
import React from 'react';
import { Navbar, Page, BlockTitle, Block, Preloader, f7 } from 'framework7-react';

export default () => {
  const openIndicator = () => {
    f7.preloader.show();
    setTimeout(() => {
      f7.preloader.hide();
    }, 2000);
  };
  const openDialog = () => {
    f7.dialog.preloader();
    setTimeout(() => {
      f7.dialog.close();
    }, 2000);
  };
  const openCustomDialog = () => {
    f7.dialog.preloader('My text...');
    setTimeout(() => {
      f7.dialog.close();
    }, 2000);
  };
  return (
    <Page>
      <Navbar title="Preloader"></Navbar>
      <Block>
        <p>
          How about an activity indicator? Framework7 has a nice one. The F7 Preloader is made with
          SVG and animated with CSS so it can be easily resized.
        </p>
      </Block>

      <BlockTitle>Default</BlockTitle>
      <Block
        strongIos
        outlineIos
        className="grid grid-cols-4 grid-gap demo-preloaders align-items-stretch text-align-center"
      >
        <div>
          <Preloader />
        </div>
        <div style={{ background: '#000' }}>
          <Preloader color="white" />
        </div>
        <div>
          <Preloader size={42} />
        </div>
        <div style={{ background: '#000' }}>
          <Preloader size={42} color="white" />
        </div>
      </Block>

      <BlockTitle>Color Preloaders</BlockTitle>
      <Block strongIos outlineIos className="grid grid-cols-4 grid-gap text-align-center">
        <div>
          <Preloader color="red" />
        </div>
        <div>
          <Preloader color="green" />
        </div>
        <div>
          <Preloader color="orange" />
        </div>
        <div>
          <Preloader color="blue" />
        </div>
      </Block>

      <BlockTitle>Multi-color</BlockTitle>
      <Block strongIos outlineIos className="text-align-center">
        <Preloader color="multi" />
      </Block>

      <BlockTitle>Preloader Modals</BlockTitle>
      <Block strongIos outlineIos>
        <p>
          With <b>app.preloader.show()</b> you can show small overlay with preloader indicator.
        </p>
        <p>
          <a className="button button-fill" onClick={openIndicator}>
            Open Small Indicator
          </a>
        </p>
        <p>
          With <b>app.dialog.preloader()</b> you can show dialog modal with preloader indicator.
        </p>
        <p>
          <a className="button button-fill" onClick={openDialog}>
            Open Dialog Preloader
          </a>
        </p>
        <p>
          With <b>app.dialog.preloader('My text...')</b> you can show dialog preloader modal with
          custom title.
        </p>
        <p>
          <a className="button button-fill" onClick={openCustomDialog}>
            Open Dialog Preloader
          </a>
        </p>
      </Block>
    </Page>
  );
};